### Class

# PapersDocument FormFieldText

#### Description

    class PapersDocument.FormFieldText : PapersDocument.FormField
    {
      PpsFormFieldTextType type,
      gboolean do_spell_check : 1,
      gboolean do_scroll : 1,
      gboolean comb : 1,
      gboolean is_rich_text : 1,
      gboolean is_password,
      gint max_len,
      gchar* text
    }

No description available.

#### Ancestors

- PpsFormField
- GObject

#### Constructors

###### pps_form_field_text_new

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersDocumentFormFieldTextClass {
      PpsFormFieldClass parent_class;

    }

No description available.

###### Class members

`parent_class: PpsFormFieldClass`

  No description available.